/**********************************************************************/
/* MozillaPmmail.cmd Version 1.0                                      */
/* script to start Pmmail from Mozilla via the mailto: link           */
/*                                                                    */
/* to use this script you have to change the prefs.js file            */
/* please add/change the following three lines in prefs.js            */
/* please change "D:\\opt\\MozillaPMmail.cmd" with your path          */
/* to pmmail.cmd                                                      */
/*                                                                    */
/* user_pref("applications.mailto", "D:\\opt\\MozillaPMmail.cmd");    */
/* user_pref("applications.mailto.parameters", "\"%url%\"");          */
/* user_pref("network.protocol-handler.external.mailto", true);       */
/*                                                                    */
/* You have also to change lines 33, 39 and 45 in this script         */
/*                                                                    */
/* (c) 2003 Dimitrios Bogiatzoules, info at bogiatzoules dot de       */
/* based on the original script Pmmail.cmd 1.10 written by:           */
/* (c) 07.07.2002 Oliver Poggensee op@opweb.de http://www.opweb.de    */
/*                                                                    */
/* NOTICE:                                                            */
/* I extended and published the script myself because I couldn't      */
/* contact Mr. Poggensse. I also renamed it to avoid confusion!       */
/* As I don't know under which licence he had publish this, I think   */
/* that GPL would do!                                                 */              
/**********************************************************************/

/**********************************************************************/
/* name of the Pmmail account you want to use                         */
/* leave it blank (defaultAccount = "") if you have only one account, */
/* or want to use the default one                                     */
/* Please change the line below to your needs                         */
/**********************************************************************/
defaultAccount = ""

/**********************************************************************/
/* full path to pmmail.exe                                            */
/* Please change the line below to your needs                         */
/**********************************************************************/
program = "E:\internet\pmmail\pmmail.EXE"

/**********************************************************************/
/* path where  RexxWeb & RexxUni are stored                           */
/* Please change the line below to your needs                         */
/**********************************************************************/
rexxdll="D:\OPT\MozillaPmmail"

/**********************************************************************/
/* set this to 1 if you were told to                                  */
/**********************************************************************/ 
debug_info=0

/**********************************************************************/
/* Get the argument (the adress which the mailto points)              */
/**********************************************************************/
PARSE ARG mailto_url

/**********************************************************************/
/* delete leeding and traling spaces                                  */
/**********************************************************************/
striped_url = STRIP(mailto_url)

/**********************************************************************/
/* normaly there is one char at beginn and end which should be removed*/
/* on older Mozillas there were 2 chars                               */
/**********************************************************************/ 
chars_to_remove=1
IF SUBSTR(striped_url,1)="/" THEN chars_to_remove=2

url = RIGHT(striped_url, LENGTH(striped_url) - chars_to_remove)
url = LEFT(url, LENGTH(url) - chars_to_remove)

/**********************************************************************/ 
/* save debug information in the MOZILLA.EXE directory                */
/**********************************************************************/ 
IF debug_info =\ 0 THEN DO
   debug_file='pmmailmozilla.debug'
   rc=STREAM(debug_file,'C','OPEN')
   CALL LINEOUT debug_file,mailto_url
   CALL LINEOUT debug_file,striped_url
   CALL LINEOUT debug_file,url
   CALL LINEOUT debug_file,chars_to_remove
   rc=STREAM(debug_file,'C','CLOSE')
END

/**********************************************************************/ 
/* Change to the directory which contains RexxWeb & RexxUni dll's     */
/**********************************************************************/ 
rc = DIRECTORY(rexxdll)

/**********************************************************************/ 
/* Load the RexxWeb dll and afterwards the Rexx Unicode dll           */
/**********************************************************************/ 
CALL RxFuncAdd 'RexxwebLoadFuncs', 'REXXWEB', 'RexxwebLoadFuncs'
CALL RexxwebLoadFuncs

CALL RxFuncAdd 'UniLoadFuncs', 'RexxUni', 'UniLoadFuncs'
CALL UniLoadFuncs

/**********************************************************************/
/* decode the URL encoded characters. CR and LF will be deleted       */
/**********************************************************************/
rc = URL2Ascii('url' ,CL)

/**********************************************************************/
/* change the codepage from 819(ISO 8859-1) to System default         */
/**********************************************************************/
url = UniXlat(url, "0", "819")

/**********************************************************************/
/* finally start pmmail/2                                             */
/**********************************************************************/
IF defaultAccount = "" THEN
    program '"mailto:'url'"'
ELSE
    program' /s 'defaultAccount' "mailto:'url'"'
RETURN